# Class pyglet.text.formats.structured.StructuredTextDecoder

    DocumentDecoder --+
                      |
                     StructuredTextDecoder

Known Subclasses:
  html.HTMLDecoder

## Methods

AbstractDocument | decode(self, text, location=None) Decode document text.
| decode_structured(self, text, location)
| push_style(self, key, styles)
| pop_style(self, key)
| add_text(self, text)
| add_element(self, element)

## Method Details

### decode

decode(self, text, location=None)
Decode document text.

Returns: AbstractDocument
Overrides:
  DocumentDecoder.decode